Failed Listings with Errors
POST /content/v2/cards/error/listBase URL: https://content-api.wildberries.ru · Module: items · Section: Listings · Specification doc ↗
Returns the listings (drafts) and the list of errors encountered during listing creation or editing.
The data is returned in batches. One batch contains:
- all errors for one
variantsarray in one request during listings creation - all errors in one request during listings creation with merge or editing.
To get more than 100 batches, use pagination:
- Make first request:
{
"cursor": {
"limit": 100
},
"order": {
"ascending": true
}
}- Copy
"updatedAt":"\*\*\*","batchUUID":"\*\*\*"from the responsecursorand paste into the requestcursor. - Repeat the request.
- Repeat 2 and 3, until you receive in the response
"next":false. This will mean that you have received all the batches.
To delete listing from the errors list, repeat the request for creating or creating with merge and updating request with fixed errors
Request limit per one seller account for the following methods:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 10 requests | 6 s | 5 requests |
In Sandbox — maximum of 1 request per second for all Content methods in total.
Parameters
| Name | In | Type | Req. | Description |
|---|---|---|---|---|
locale | query | string | no | Language of subcategory names: - ru — Russian - en — English - zh — Chinese Not used in the sandbox. The sandbox data is returned only in Russian |
Request body
application/json — schema requestPublicViewerPublicErrorsTableListV2, required
cursorswagger.PublicErrorsCursorInputlimitnumber<int>— Number of batches in the responseupdatedAtstring— Date and time of generation of the last batch in the response to the previous requestbatchUUIDstring<UUID>— The ID of the last batch in the response to the previous request
orderswagger.PublicErrorsOrderV2ascendingboolean— -false— sort in descending -true— sort in ascending
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | responsePublicViewerPublicErrorsTableListV2 |
400 | Bad request | responseBodyContentError400 |
401 | Unauthorized | object |
403 | Access denied | responseBodyContentError403 |
429 | Too many requests | object |
Structure 200:
datamodels.ErrorTableListPublicRespV2itemsmodels.ErrorTableListPublicRespV2Item[]— BatchesbatchUUIDstring<UUID>— Batch IDsubjectsobject— Subcategories. Layout byvendorCodesbrandsobject— Brands. Layout byvendorCodesvendorCodesstring[]— Seller item numberserrorsobject— Errors. Layout byvendorCodesupdatedAtstring— Date and time when the batch was created or edited
cursorviewer_contract.PublicErrorsCursorOutputnextboolean— Are there any more drafts: -false— no -true— yesupdatedAtstring— Date and time of generation of the last batch in the responsebatchUUIDstring<UUID>— The ID of the last batch in the response
errorboolean— Error flagerrorTextstring— Error descriptionadditionalErrorsobject— Additional errors
Structure 400:
dataobject— Error dataerrorboolean— Error flagerrorTextstring— Error descriptionadditionalErrorsobject— Additional errors
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 403:
dataobject— Error dataerrorboolean— Error flagerrorTextstring— Error descriptionadditionalErrorsstring— Additional errors
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
from wb_api_client.items import Configuration, ApiClient
from wb_api_client.items.api import ItemsApi
cfg = Configuration(access_token="<your WB JWT>")
api = ItemsApi(ApiClient(cfg))
result = api.post_v2_cards_error_list(request_public_viewer_public_errors_table_list_v2=..., locale=...)
print(result)import {
Configuration,
ItemsApi,
} from "@valeryverkhoturov/wb-api-client/items";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new ItemsApi(cfg);
const { data } = await api.postV2CardsErrorList(requestPublicViewerPublicErrorsTableListV2, locale);
console.log(data);import (
"context"
"fmt"
wbitems "github.com/ValeryVerkhoturov/wb-api-client-go/items"
)
cfg := wbitems.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbitems.NewAPIClient(cfg)
result, _, err := client.ItemsAPI.PostV2CardsErrorList(context.Background()).RequestPublicViewerPublicErrorsTableListV2(requestPublicViewerPublicErrorsTableListV2).Locale(locale).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)import io.github.valeryverkhoturov.wbapi.items.ApiClient;
import io.github.valeryverkhoturov.wbapi.items.SecretString;
import io.github.valeryverkhoturov.wbapi.items.api.ItemsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
ItemsApi api = new ItemsApi(client);
System.out.println(api.postV2CardsErrorList(requestPublicViewerPublicErrorsTableListV2, locale));use ValeryVerkhoturov\WbApiClient\Items\Configuration;
use ValeryVerkhoturov\WbApiClient\Items\SecretString;
use ValeryVerkhoturov\WbApiClient\Items\Api\ItemsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new ItemsApi(new Client(), $config);
print_r($api->postV2CardsErrorList($request_public_viewer_public_errors_table_list_v2));#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый ItemsApi(Настройки);
Сообщить(Клиент.PostV2CardsErrorList(Тело).Тело);using ValeryVerkhoturov.WbApiClient.Items.Api;
using ValeryVerkhoturov.WbApiClient.Items.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new ItemsApi(config);
Console.WriteLine(api.PostV2CardsErrorList(requestPublicViewerPublicErrorsTableListV2));use wb_api_client::items::apis::{configuration::Configuration, items_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = items_api::post_v2_cards_error_list(&cfg, request_public_viewer_public_errors_table_list_v2, locale).await;
println!("{:#?}", result);
}